# Creating Depth of Penetration (DOP) zone masks using Landsat TM bands 1, 2, 3 and 4.
# 
# ********************************************************************************************************	
# Make sure that the first connected image (@1) is Landsat TM1, the second connected image (@2)
# is Landsat TM2, etc.  Connect LANDMASK.GIF as @5.
#*********************************************************************************************************
#
# Set up constants for Ldeepmax for each waveband

	CONST Ldeepmax1 = 57 ;
	CONST Ldeepmax2 = 16 ;
	CONST Ldeepmax3 = 11 ;
	CONST Ldeepmax4 = 5 ;

# Creating DOP zone 1 mask
# Sets all pixels in DOP zone 1 to 1 and all others to 0

 IF ((@1 > Ldeepmax1) AND (@2 <= Ldeepmax2) AND (@3 <= Ldeepmax3) AND (@4 <= Ldeepmax4)) 
   1
 ELSE
   0 ;

# Creating DOP zone 2 mask
# Sets all pixels in DOP zone 2 to 1 and all others to 0

  IF ((@1 > Ldeepmax1) AND (@2 > Ldeepmax2) AND (@3 <= Ldeepmax3) AND (@4 <= Ldeepmax4)) 
    1
  ELSE
    0 ;

# Creating DOP zone 3 mask
# Sets all pixels in DOP zone 3 to 1 and all others to 0

  IF ((@1 > Ldeepmax1) AND (@2 > Ldeepmax2) AND (@3 > Ldeepmax3) AND (@4 <= Ldeepmax4)) 
    1
  ELSE
    0 ;

# Creating DOP zone 4 mask
# Sets all pixels in DOP zone 4 to 1 and all others to 0
#
# NB This will also set land pixels to 1, so need to multiply by a land mask image (@5) 
# to set land areas to 0

  IF ((@1 > Ldeepmax1) AND (@2 > Ldeepmax2) AND (@3 > Ldeepmax3) AND (@4 > Ldeepmax4)) 
    1 * @5
  ELSE
    0 ;



